Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network184.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
184.0.0.0
Broadcast address
191.255.255.255
First usable
184.0.0.1
Last usable
191.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
B (default /16)
As numbers
Hex B8000000 · Integer 3087007744 to 3221225471
Reverse DNS zones
184.in-addr.arpa
185.in-addr.arpa
186.in-addr.arpa
187.in-addr.arpa
188.in-addr.arpa
189.in-addr.arpa
190.in-addr.arpa
191.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111000.00000000.00000000.00000000184.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network10111000.00000000.00000000.00000000184.0.0.0
Broadcast10111111.11111111.11111111.11111111191.255.255.255
Split into smaller subnets/16

184.0.0.0/5 makes 2,048 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1184.0.0.0/16184.0.0.1 to 184.0.255.254184.0.255.25565,534
2184.1.0.0/16184.1.0.1 to 184.1.255.254184.1.255.25565,534
3184.2.0.0/16184.2.0.1 to 184.2.255.254184.2.255.25565,534
4184.3.0.0/16184.3.0.1 to 184.3.255.254184.3.255.25565,534
5184.4.0.0/16184.4.0.1 to 184.4.255.254184.4.255.25565,534
6184.5.0.0/16184.5.0.1 to 184.5.255.254184.5.255.25565,534
7184.6.0.0/16184.6.0.1 to 184.6.255.254184.6.255.25565,534
8184.7.0.0/16184.7.0.1 to 184.7.255.254184.7.255.25565,534
9184.8.0.0/16184.8.0.1 to 184.8.255.254184.8.255.25565,534
10184.9.0.0/16184.9.0.1 to 184.9.255.254184.9.255.25565,534
11184.10.0.0/16184.10.0.1 to 184.10.255.254184.10.255.25565,534
12184.11.0.0/16184.11.0.1 to 184.11.255.254184.11.255.25565,534
13184.12.0.0/16184.12.0.1 to 184.12.255.254184.12.255.25565,534
14184.13.0.0/16184.13.0.1 to 184.13.255.254184.13.255.25565,534
15184.14.0.0/16184.14.0.1 to 184.14.255.254184.14.255.25565,534
16184.15.0.0/16184.15.0.1 to 184.15.255.254184.15.255.25565,534
17184.16.0.0/16184.16.0.1 to 184.16.255.254184.16.255.25565,534
18184.17.0.0/16184.17.0.1 to 184.17.255.254184.17.255.25565,534
19184.18.0.0/16184.18.0.1 to 184.18.255.254184.18.255.25565,534
20184.19.0.0/16184.19.0.1 to 184.19.255.254184.19.255.25565,534
21184.20.0.0/16184.20.0.1 to 184.20.255.254184.20.255.25565,534
22184.21.0.0/16184.21.0.1 to 184.21.255.254184.21.255.25565,534
23184.22.0.0/16184.22.0.1 to 184.22.255.254184.22.255.25565,534
24184.23.0.0/16184.23.0.1 to 184.23.255.254184.23.255.25565,534
25184.24.0.0/16184.24.0.1 to 184.24.255.254184.24.255.25565,534
26184.25.0.0/16184.25.0.1 to 184.25.255.254184.25.255.25565,534
27184.26.0.0/16184.26.0.1 to 184.26.255.254184.26.255.25565,534
28184.27.0.0/16184.27.0.1 to 184.27.255.254184.27.255.25565,534
29184.28.0.0/16184.28.0.1 to 184.28.255.254184.28.255.25565,534
30184.29.0.0/16184.29.0.1 to 184.29.255.254184.29.255.25565,534
31184.30.0.0/16184.30.0.1 to 184.30.255.254184.30.255.25565,534
32184.31.0.0/16184.31.0.1 to 184.31.255.254184.31.255.25565,534
33184.32.0.0/16184.32.0.1 to 184.32.255.254184.32.255.25565,534
34184.33.0.0/16184.33.0.1 to 184.33.255.254184.33.255.25565,534
35184.34.0.0/16184.34.0.1 to 184.34.255.254184.34.255.25565,534
36184.35.0.0/16184.35.0.1 to 184.35.255.254184.35.255.25565,534
37184.36.0.0/16184.36.0.1 to 184.36.255.254184.36.255.25565,534
38184.37.0.0/16184.37.0.1 to 184.37.255.254184.37.255.25565,534
39184.38.0.0/16184.38.0.1 to 184.38.255.254184.38.255.25565,534
40184.39.0.0/16184.39.0.1 to 184.39.255.254184.39.255.25565,534
41184.40.0.0/16184.40.0.1 to 184.40.255.254184.40.255.25565,534
42184.41.0.0/16184.41.0.1 to 184.41.255.254184.41.255.25565,534
43184.42.0.0/16184.42.0.1 to 184.42.255.254184.42.255.25565,534
44184.43.0.0/16184.43.0.1 to 184.43.255.254184.43.255.25565,534
45184.44.0.0/16184.44.0.1 to 184.44.255.254184.44.255.25565,534
46184.45.0.0/16184.45.0.1 to 184.45.255.254184.45.255.25565,534
47184.46.0.0/16184.46.0.1 to 184.46.255.254184.46.255.25565,534
48184.47.0.0/16184.47.0.1 to 184.47.255.254184.47.255.25565,534
49184.48.0.0/16184.48.0.1 to 184.48.255.254184.48.255.25565,534
50184.49.0.0/16184.49.0.1 to 184.49.255.254184.49.255.25565,534
51184.50.0.0/16184.50.0.1 to 184.50.255.254184.50.255.25565,534
52184.51.0.0/16184.51.0.1 to 184.51.255.254184.51.255.25565,534
53184.52.0.0/16184.52.0.1 to 184.52.255.254184.52.255.25565,534
54184.53.0.0/16184.53.0.1 to 184.53.255.254184.53.255.25565,534
55184.54.0.0/16184.54.0.1 to 184.54.255.254184.54.255.25565,534
56184.55.0.0/16184.55.0.1 to 184.55.255.254184.55.255.25565,534
57184.56.0.0/16184.56.0.1 to 184.56.255.254184.56.255.25565,534
58184.57.0.0/16184.57.0.1 to 184.57.255.254184.57.255.25565,534
59184.58.0.0/16184.58.0.1 to 184.58.255.254184.58.255.25565,534
60184.59.0.0/16184.59.0.1 to 184.59.255.254184.59.255.25565,534
61184.60.0.0/16184.60.0.1 to 184.60.255.254184.60.255.25565,534
62184.61.0.0/16184.61.0.1 to 184.61.255.254184.61.255.25565,534
63184.62.0.0/16184.62.0.1 to 184.62.255.254184.62.255.25565,534
64184.63.0.0/16184.63.0.1 to 184.63.255.254184.63.255.25565,534
65184.64.0.0/16184.64.0.1 to 184.64.255.254184.64.255.25565,534
66184.65.0.0/16184.65.0.1 to 184.65.255.254184.65.255.25565,534
67184.66.0.0/16184.66.0.1 to 184.66.255.254184.66.255.25565,534
68184.67.0.0/16184.67.0.1 to 184.67.255.254184.67.255.25565,534
69184.68.0.0/16184.68.0.1 to 184.68.255.254184.68.255.25565,534
70184.69.0.0/16184.69.0.1 to 184.69.255.254184.69.255.25565,534
71184.70.0.0/16184.70.0.1 to 184.70.255.254184.70.255.25565,534
72184.71.0.0/16184.71.0.1 to 184.71.255.254184.71.255.25565,534
73184.72.0.0/16184.72.0.1 to 184.72.255.254184.72.255.25565,534
74184.73.0.0/16184.73.0.1 to 184.73.255.254184.73.255.25565,534
75184.74.0.0/16184.74.0.1 to 184.74.255.254184.74.255.25565,534
76184.75.0.0/16184.75.0.1 to 184.75.255.254184.75.255.25565,534
77184.76.0.0/16184.76.0.1 to 184.76.255.254184.76.255.25565,534
78184.77.0.0/16184.77.0.1 to 184.77.255.254184.77.255.25565,534
79184.78.0.0/16184.78.0.1 to 184.78.255.254184.78.255.25565,534
80184.79.0.0/16184.79.0.1 to 184.79.255.254184.79.255.25565,534
81184.80.0.0/16184.80.0.1 to 184.80.255.254184.80.255.25565,534
82184.81.0.0/16184.81.0.1 to 184.81.255.254184.81.255.25565,534
83184.82.0.0/16184.82.0.1 to 184.82.255.254184.82.255.25565,534
84184.83.0.0/16184.83.0.1 to 184.83.255.254184.83.255.25565,534
85184.84.0.0/16184.84.0.1 to 184.84.255.254184.84.255.25565,534
86184.85.0.0/16184.85.0.1 to 184.85.255.254184.85.255.25565,534
87184.86.0.0/16184.86.0.1 to 184.86.255.254184.86.255.25565,534
88184.87.0.0/16184.87.0.1 to 184.87.255.254184.87.255.25565,534
89184.88.0.0/16184.88.0.1 to 184.88.255.254184.88.255.25565,534
90184.89.0.0/16184.89.0.1 to 184.89.255.254184.89.255.25565,534
91184.90.0.0/16184.90.0.1 to 184.90.255.254184.90.255.25565,534
92184.91.0.0/16184.91.0.1 to 184.91.255.254184.91.255.25565,534
93184.92.0.0/16184.92.0.1 to 184.92.255.254184.92.255.25565,534
94184.93.0.0/16184.93.0.1 to 184.93.255.254184.93.255.25565,534
95184.94.0.0/16184.94.0.1 to 184.94.255.254184.94.255.25565,534
96184.95.0.0/16184.95.0.1 to 184.95.255.254184.95.255.25565,534
97184.96.0.0/16184.96.0.1 to 184.96.255.254184.96.255.25565,534
98184.97.0.0/16184.97.0.1 to 184.97.255.254184.97.255.25565,534
99184.98.0.0/16184.98.0.1 to 184.98.255.254184.98.255.25565,534
100184.99.0.0/16184.99.0.1 to 184.99.255.254184.99.255.25565,534
101184.100.0.0/16184.100.0.1 to 184.100.255.254184.100.255.25565,534
102184.101.0.0/16184.101.0.1 to 184.101.255.254184.101.255.25565,534
103184.102.0.0/16184.102.0.1 to 184.102.255.254184.102.255.25565,534
104184.103.0.0/16184.103.0.1 to 184.103.255.254184.103.255.25565,534
105184.104.0.0/16184.104.0.1 to 184.104.255.254184.104.255.25565,534
106184.105.0.0/16184.105.0.1 to 184.105.255.254184.105.255.25565,534
107184.106.0.0/16184.106.0.1 to 184.106.255.254184.106.255.25565,534
108184.107.0.0/16184.107.0.1 to 184.107.255.254184.107.255.25565,534
109184.108.0.0/16184.108.0.1 to 184.108.255.254184.108.255.25565,534
110184.109.0.0/16184.109.0.1 to 184.109.255.254184.109.255.25565,534
111184.110.0.0/16184.110.0.1 to 184.110.255.254184.110.255.25565,534
112184.111.0.0/16184.111.0.1 to 184.111.255.254184.111.255.25565,534
113184.112.0.0/16184.112.0.1 to 184.112.255.254184.112.255.25565,534
114184.113.0.0/16184.113.0.1 to 184.113.255.254184.113.255.25565,534
115184.114.0.0/16184.114.0.1 to 184.114.255.254184.114.255.25565,534
116184.115.0.0/16184.115.0.1 to 184.115.255.254184.115.255.25565,534
117184.116.0.0/16184.116.0.1 to 184.116.255.254184.116.255.25565,534
118184.117.0.0/16184.117.0.1 to 184.117.255.254184.117.255.25565,534
119184.118.0.0/16184.118.0.1 to 184.118.255.254184.118.255.25565,534
120184.119.0.0/16184.119.0.1 to 184.119.255.254184.119.255.25565,534
121184.120.0.0/16184.120.0.1 to 184.120.255.254184.120.255.25565,534
122184.121.0.0/16184.121.0.1 to 184.121.255.254184.121.255.25565,534
123184.122.0.0/16184.122.0.1 to 184.122.255.254184.122.255.25565,534
124184.123.0.0/16184.123.0.1 to 184.123.255.254184.123.255.25565,534
125184.124.0.0/16184.124.0.1 to 184.124.255.254184.124.255.25565,534
126184.125.0.0/16184.125.0.1 to 184.125.255.254184.125.255.25565,534
127184.126.0.0/16184.126.0.1 to 184.126.255.254184.126.255.25565,534
128184.127.0.0/16184.127.0.1 to 184.127.255.254184.127.255.25565,534
129184.128.0.0/16184.128.0.1 to 184.128.255.254184.128.255.25565,534
130184.129.0.0/16184.129.0.1 to 184.129.255.254184.129.255.25565,534
131184.130.0.0/16184.130.0.1 to 184.130.255.254184.130.255.25565,534
132184.131.0.0/16184.131.0.1 to 184.131.255.254184.131.255.25565,534
133184.132.0.0/16184.132.0.1 to 184.132.255.254184.132.255.25565,534
134184.133.0.0/16184.133.0.1 to 184.133.255.254184.133.255.25565,534
135184.134.0.0/16184.134.0.1 to 184.134.255.254184.134.255.25565,534
136184.135.0.0/16184.135.0.1 to 184.135.255.254184.135.255.25565,534
137184.136.0.0/16184.136.0.1 to 184.136.255.254184.136.255.25565,534
138184.137.0.0/16184.137.0.1 to 184.137.255.254184.137.255.25565,534
139184.138.0.0/16184.138.0.1 to 184.138.255.254184.138.255.25565,534
140184.139.0.0/16184.139.0.1 to 184.139.255.254184.139.255.25565,534
141184.140.0.0/16184.140.0.1 to 184.140.255.254184.140.255.25565,534
142184.141.0.0/16184.141.0.1 to 184.141.255.254184.141.255.25565,534
143184.142.0.0/16184.142.0.1 to 184.142.255.254184.142.255.25565,534
144184.143.0.0/16184.143.0.1 to 184.143.255.254184.143.255.25565,534
145184.144.0.0/16184.144.0.1 to 184.144.255.254184.144.255.25565,534
146184.145.0.0/16184.145.0.1 to 184.145.255.254184.145.255.25565,534
147184.146.0.0/16184.146.0.1 to 184.146.255.254184.146.255.25565,534
148184.147.0.0/16184.147.0.1 to 184.147.255.254184.147.255.25565,534
149184.148.0.0/16184.148.0.1 to 184.148.255.254184.148.255.25565,534
150184.149.0.0/16184.149.0.1 to 184.149.255.254184.149.255.25565,534
151184.150.0.0/16184.150.0.1 to 184.150.255.254184.150.255.25565,534
152184.151.0.0/16184.151.0.1 to 184.151.255.254184.151.255.25565,534
153184.152.0.0/16184.152.0.1 to 184.152.255.254184.152.255.25565,534
154184.153.0.0/16184.153.0.1 to 184.153.255.254184.153.255.25565,534
155184.154.0.0/16184.154.0.1 to 184.154.255.254184.154.255.25565,534
156184.155.0.0/16184.155.0.1 to 184.155.255.254184.155.255.25565,534
157184.156.0.0/16184.156.0.1 to 184.156.255.254184.156.255.25565,534
158184.157.0.0/16184.157.0.1 to 184.157.255.254184.157.255.25565,534
159184.158.0.0/16184.158.0.1 to 184.158.255.254184.158.255.25565,534
160184.159.0.0/16184.159.0.1 to 184.159.255.254184.159.255.25565,534
161184.160.0.0/16184.160.0.1 to 184.160.255.254184.160.255.25565,534
162184.161.0.0/16184.161.0.1 to 184.161.255.254184.161.255.25565,534
163184.162.0.0/16184.162.0.1 to 184.162.255.254184.162.255.25565,534
164184.163.0.0/16184.163.0.1 to 184.163.255.254184.163.255.25565,534
165184.164.0.0/16184.164.0.1 to 184.164.255.254184.164.255.25565,534
166184.165.0.0/16184.165.0.1 to 184.165.255.254184.165.255.25565,534
167184.166.0.0/16184.166.0.1 to 184.166.255.254184.166.255.25565,534
168184.167.0.0/16184.167.0.1 to 184.167.255.254184.167.255.25565,534
169184.168.0.0/16184.168.0.1 to 184.168.255.254184.168.255.25565,534
170184.169.0.0/16184.169.0.1 to 184.169.255.254184.169.255.25565,534
171184.170.0.0/16184.170.0.1 to 184.170.255.254184.170.255.25565,534
172184.171.0.0/16184.171.0.1 to 184.171.255.254184.171.255.25565,534
173184.172.0.0/16184.172.0.1 to 184.172.255.254184.172.255.25565,534
174184.173.0.0/16184.173.0.1 to 184.173.255.254184.173.255.25565,534
175184.174.0.0/16184.174.0.1 to 184.174.255.254184.174.255.25565,534
176184.175.0.0/16184.175.0.1 to 184.175.255.254184.175.255.25565,534
177184.176.0.0/16184.176.0.1 to 184.176.255.254184.176.255.25565,534
178184.177.0.0/16184.177.0.1 to 184.177.255.254184.177.255.25565,534
179184.178.0.0/16184.178.0.1 to 184.178.255.254184.178.255.25565,534
180184.179.0.0/16184.179.0.1 to 184.179.255.254184.179.255.25565,534
181184.180.0.0/16184.180.0.1 to 184.180.255.254184.180.255.25565,534
182184.181.0.0/16184.181.0.1 to 184.181.255.254184.181.255.25565,534
183184.182.0.0/16184.182.0.1 to 184.182.255.254184.182.255.25565,534
184184.183.0.0/16184.183.0.1 to 184.183.255.254184.183.255.25565,534
185184.184.0.0/16184.184.0.1 to 184.184.255.254184.184.255.25565,534
186184.185.0.0/16184.185.0.1 to 184.185.255.254184.185.255.25565,534
187184.186.0.0/16184.186.0.1 to 184.186.255.254184.186.255.25565,534
188184.187.0.0/16184.187.0.1 to 184.187.255.254184.187.255.25565,534
189184.188.0.0/16184.188.0.1 to 184.188.255.254184.188.255.25565,534
190184.189.0.0/16184.189.0.1 to 184.189.255.254184.189.255.25565,534
191184.190.0.0/16184.190.0.1 to 184.190.255.254184.190.255.25565,534
192184.191.0.0/16184.191.0.1 to 184.191.255.254184.191.255.25565,534
193184.192.0.0/16184.192.0.1 to 184.192.255.254184.192.255.25565,534
194184.193.0.0/16184.193.0.1 to 184.193.255.254184.193.255.25565,534
195184.194.0.0/16184.194.0.1 to 184.194.255.254184.194.255.25565,534
196184.195.0.0/16184.195.0.1 to 184.195.255.254184.195.255.25565,534
197184.196.0.0/16184.196.0.1 to 184.196.255.254184.196.255.25565,534
198184.197.0.0/16184.197.0.1 to 184.197.255.254184.197.255.25565,534
199184.198.0.0/16184.198.0.1 to 184.198.255.254184.198.255.25565,534
200184.199.0.0/16184.199.0.1 to 184.199.255.254184.199.255.25565,534
201184.200.0.0/16184.200.0.1 to 184.200.255.254184.200.255.25565,534
202184.201.0.0/16184.201.0.1 to 184.201.255.254184.201.255.25565,534
203184.202.0.0/16184.202.0.1 to 184.202.255.254184.202.255.25565,534
204184.203.0.0/16184.203.0.1 to 184.203.255.254184.203.255.25565,534
205184.204.0.0/16184.204.0.1 to 184.204.255.254184.204.255.25565,534
206184.205.0.0/16184.205.0.1 to 184.205.255.254184.205.255.25565,534
207184.206.0.0/16184.206.0.1 to 184.206.255.254184.206.255.25565,534
208184.207.0.0/16184.207.0.1 to 184.207.255.254184.207.255.25565,534
209184.208.0.0/16184.208.0.1 to 184.208.255.254184.208.255.25565,534
210184.209.0.0/16184.209.0.1 to 184.209.255.254184.209.255.25565,534
211184.210.0.0/16184.210.0.1 to 184.210.255.254184.210.255.25565,534
212184.211.0.0/16184.211.0.1 to 184.211.255.254184.211.255.25565,534
213184.212.0.0/16184.212.0.1 to 184.212.255.254184.212.255.25565,534
214184.213.0.0/16184.213.0.1 to 184.213.255.254184.213.255.25565,534
215184.214.0.0/16184.214.0.1 to 184.214.255.254184.214.255.25565,534
216184.215.0.0/16184.215.0.1 to 184.215.255.254184.215.255.25565,534
217184.216.0.0/16184.216.0.1 to 184.216.255.254184.216.255.25565,534
218184.217.0.0/16184.217.0.1 to 184.217.255.254184.217.255.25565,534
219184.218.0.0/16184.218.0.1 to 184.218.255.254184.218.255.25565,534
220184.219.0.0/16184.219.0.1 to 184.219.255.254184.219.255.25565,534
221184.220.0.0/16184.220.0.1 to 184.220.255.254184.220.255.25565,534
222184.221.0.0/16184.221.0.1 to 184.221.255.254184.221.255.25565,534
223184.222.0.0/16184.222.0.1 to 184.222.255.254184.222.255.25565,534
224184.223.0.0/16184.223.0.1 to 184.223.255.254184.223.255.25565,534
225184.224.0.0/16184.224.0.1 to 184.224.255.254184.224.255.25565,534
226184.225.0.0/16184.225.0.1 to 184.225.255.254184.225.255.25565,534
227184.226.0.0/16184.226.0.1 to 184.226.255.254184.226.255.25565,534
228184.227.0.0/16184.227.0.1 to 184.227.255.254184.227.255.25565,534
229184.228.0.0/16184.228.0.1 to 184.228.255.254184.228.255.25565,534
230184.229.0.0/16184.229.0.1 to 184.229.255.254184.229.255.25565,534
231184.230.0.0/16184.230.0.1 to 184.230.255.254184.230.255.25565,534
232184.231.0.0/16184.231.0.1 to 184.231.255.254184.231.255.25565,534
233184.232.0.0/16184.232.0.1 to 184.232.255.254184.232.255.25565,534
234184.233.0.0/16184.233.0.1 to 184.233.255.254184.233.255.25565,534
235184.234.0.0/16184.234.0.1 to 184.234.255.254184.234.255.25565,534
236184.235.0.0/16184.235.0.1 to 184.235.255.254184.235.255.25565,534
237184.236.0.0/16184.236.0.1 to 184.236.255.254184.236.255.25565,534
238184.237.0.0/16184.237.0.1 to 184.237.255.254184.237.255.25565,534
239184.238.0.0/16184.238.0.1 to 184.238.255.254184.238.255.25565,534
240184.239.0.0/16184.239.0.1 to 184.239.255.254184.239.255.25565,534
241184.240.0.0/16184.240.0.1 to 184.240.255.254184.240.255.25565,534
242184.241.0.0/16184.241.0.1 to 184.241.255.254184.241.255.25565,534
243184.242.0.0/16184.242.0.1 to 184.242.255.254184.242.255.25565,534
244184.243.0.0/16184.243.0.1 to 184.243.255.254184.243.255.25565,534
245184.244.0.0/16184.244.0.1 to 184.244.255.254184.244.255.25565,534
246184.245.0.0/16184.245.0.1 to 184.245.255.254184.245.255.25565,534
247184.246.0.0/16184.246.0.1 to 184.246.255.254184.246.255.25565,534
248184.247.0.0/16184.247.0.1 to 184.247.255.254184.247.255.25565,534
249184.248.0.0/16184.248.0.1 to 184.248.255.254184.248.255.25565,534
250184.249.0.0/16184.249.0.1 to 184.249.255.254184.249.255.25565,534
251184.250.0.0/16184.250.0.1 to 184.250.255.254184.250.255.25565,534
252184.251.0.0/16184.251.0.1 to 184.251.255.254184.251.255.25565,534
253184.252.0.0/16184.252.0.1 to 184.252.255.254184.252.255.25565,534
254184.253.0.0/16184.253.0.1 to 184.253.255.254184.253.255.25565,534
255184.254.0.0/16184.254.0.1 to 184.254.255.254184.254.255.25565,534
256184.255.0.0/16184.255.0.1 to 184.255.255.254184.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses